Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class FramesHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper
            |
            +--org.w3c.jigadm.editors.FramesHelper

All Implemented Interfaces:
  ResourceHelperInterface

public class FramesHelper
extends ResourceHelper

Field Summary

Fields inherited from class org.w3c.jigadm.editors.ResourceHelper
`rls`

Constructor Summary
`FramesHelper()`

Method Summary
`protected void` | `addFrame()`
`void` | `clearChanged()` set the current resource to be the original resource (ie: the hasChanged() method must return false now.
`void` | `commitChanges()` Commit changes (if any).
`protected void` | `deleteCurrentFrame()`
`protected void` | `editFrame(RemoteResourceWrapper framew)`
`java.awt.Component` | `getComponent()`
`java.lang.String` | `getTitle()`
`boolean` | `hasChanged()` tells if the edited resource in the helper has changed
`protected void` | `initAddPanel(java.util.Properties config)`
`protected void` | `initFrames()`
`void` | `initialize(RemoteResourceWrapper rrw, java.util.Properties pr)` initialize this helper
`void` | `removeAll()`
`void` | `removeCenterComp()`
`void` | `resetChanges()` undo the not-yet-commited changes

Methods inherited from class org.w3c.jigadm.editors.ResourceHelper
`addResourceListener, errorPopup, getValue, msgPopup, processEvent, removeResourceListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FramesHelper

    public FramesHelper()

Method Detail

### addFrame

    protected void addFrame()

### deleteCurrentFrame

    protected void deleteCurrentFrame()

### editFrame

    protected void editFrame(RemoteResourceWrapper framew)

### removeAll

    public void removeAll()

### removeCenterComp

    public void removeCenterComp()

### getComponent

    public java.awt.Component getComponent()

  Specified by:
    `getComponent` in class `ResourceHelper`

### commitChanges

    public void commitChanges()
                       throws RemoteAccessException

  Commit changes (if any).

  Throws:
    `RemoteAccessException` - if a remote access error occurs.

### hasChanged

    public boolean hasChanged()

  Description copied from interface: `ResourceHelperInterface`
  tells if the edited resource in the helper has changed

  Returns:
    true if the values changed. to get more informations about what has changed, you can use the three methods below.

### resetChanges

    public void resetChanges()

  Description copied from interface: `ResourceHelperInterface`
  undo the not-yet-commited changes

### clearChanged

    public void clearChanged()

  Description copied from interface: `ResourceHelperInterface`
  set the current resource to be the original resource (ie: the hasChanged() method must return false now. to do a "fine tuned" reset, use one of the three following method.

### getTitle

    public final java.lang.String getTitle()

  Specified by:
    `getTitle` in class `ResourceHelper`

### initFrames

    protected void initFrames()
                       throws RemoteAccessException

    `RemoteAccessException`

### initAddPanel

    protected void initAddPanel(java.util.Properties config)

### initialize

    public void initialize(RemoteResourceWrapper rrw,
                           java.util.Properties pr)
                    throws RemoteAccessException

  initialize this helper

  Parameters:
    `rrw` - The RemoteResourceWrapper
    `pr` - The properties
  Throws:
    `RemoteAccessException` - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD